using System;
using System.Windows.Forms;
using Microsoft.SqlServer.Dts.Runtime;
using Microsoft.SqlServer.Dts.Runtime.Design;

namespace DownloadMailTask
{
    public class DownloadMailTaskUI : IDtsTaskUI
    {
        private TaskHost _taskHost;
        private IServiceProvider _serviceProvider;
        private DownloadMailTaskEditor _editor;

        #region IDtsComponentUI Members

        public void Initialize(TaskHost taskHost, IServiceProvider serviceProvider)
        {
            _taskHost = taskHost;
            _serviceProvider = serviceProvider;
            _editor = new DownloadMailTaskEditor(_taskHost);
        }

        public ContainerControl GetView()
        {
            return _editor;
        }

        public void New(IWin32Window parentWindow)
        {
            return;
        }

        public void Delete(IWin32Window parentWindow)
        {
            return;
        }

        #endregion
    }
}